---
title: "Searches Inventory Movement Logs"
url: "https://developer.retailexpress.com.au/apis/retail-express-api-21-v2/versions/210b509a-613e-44ac-a87b-ef6c22c23a2c/operations/get-inventorymovementlogs"
---

> Full API specification: https://developer.retailexpress.com.au/apis/retail-express-api-21-v2/versions/210b509a-613e-44ac-a87b-ef6c22c23a2c.md

# Searches Inventory Movement Logs

`GET` `/inventorymovementlogs`

Operation ID: `get-inventorymovementlogs`

Searches Inventory Movement Logs

## Query parameters

- `plu` (string, optional) - Product Look-Up code (PLU) It can be Product Id, Supplier SKU, Manufacturer SKU, Supplier SKU 2 or any Barcodes for a product. If specified, product_id, product_supplier_sku, product_short_description, product_type_name, supplier_id filters are ignored.
- `reference_ids` (string, optional) - Reference Id or Collection of Reference Ids (comma separated). If specified, plu, product_id, product_supplier_sku, product_short_description filters are ignored. movement_types is optional and can only contain single value. Example: 1,5,7,23-00000001
- `movement_types` (string, optional) - Movement Type or Collection of Movement Types (comma separated). Example: PO,Invoice
- `filter_by` (string, optional) - Filter by. Available field name values: id, created_on, outlet_id, outlet_name, country_id, store_type_id, product_id, product_supplier_sku, product_short_description, product_type_name, supplier_id, supplier_code, supplier_name, origin, comment, quantity_available_before, quantity_available_delta, quantity_available_after, quantity_allocated_before, quantity_allocated_delta, quantity_allocated_after, quantity_picked_before, quantity_picked_delta, quantity_picked_after, quantity_in_transit_outbound_before, quantity_in_transit_outbound_delta, quantity_in_transit_outbound_after, quantity_in_transit_inbound_before, quantity_in_transit_inbound_delta, quantity_in_transit_inbound_after, quantity_received_before, quantity_received_delta, quantity_received_after, quantity_requested_before, quantity_requested_delta, quantity_requested_after, quantity_onorder_before, quantity_onorder_delta, quantity_onorder_after, quantity_faulty_before, quantity_faulty_delta, quantity_faulty_after, quantity_onreturn_before, quantity_onreturn_delta, quantity_onreturn_after, buy_price_ex_before, buy_price_ex_change, buy_price_ex_after, direct_costs_ex_before, direct_costs_ex_change, direct_costs_ex_after, cogs_ex_before, cogs_ex_change, cogs_ex_after, quantity_soh_before, quantity_soh_delta, quantity_soh_after, total_cogs_ex_before, total_cogs_ex_change, total_cogs_ex_after. In string values: '|' and ',' characters have to be escaped with slash, i.e. '\\,' '\\|' For operators that support multiple values (in, notin): multiple values are delimited using '|' character Available operators: eq - Equal neq - Not equals lt - Less lte - Less or equal gt - Greater gte - Greater or equal in - In notin - Not In contains - Contains isnull - Is Null isnullorempty - Is Null Or Empty isnotnull - Is Not Null startswith - Starts with endswith - Ends with doesnotcontain - Does not contain For non-nullable fields operators isnull and isnotnull are unavailable For dates operators: contains, startswith, endswith, doesnotcontain, isnullorempty are unavailable For strings operators: lt, lte, gt, gte are unavailable Example: created_on:gte:2021-06-03T05:48:09+10:00,product_id:in:124001|124002
- `order_by` (string, optional) - Order by. Available field name values: id, created_on, outlet_name, product_id, product_supplier_sku, product_short_description, product_type_name, movement_type, supplier_code, supplier_name, origin, comment, reference_id, quantity_available_before, quantity_available_delta, quantity_available_after, quantity_allocated_before, quantity_allocated_delta, quantity_allocated_after, quantity_picked_before, quantity_picked_delta, quantity_picked_after, quantity_in_transit_outbound_before, quantity_in_transit_outbound_delta, quantity_in_transit_outbound_after, quantity_in_transit_inbound_before, quantity_in_transit_inbound_delta, quantity_in_transit_inbound_after, quantity_received_before, quantity_received_delta, quantity_received_after, quantity_requested_before, quantity_requested_delta, quantity_requested_after, quantity_onorder_before, quantity_onorder_delta, quantity_onorder_after, quantity_faulty_before, quantity_faulty_delta, quantity_faulty_after, quantity_onreturn_before, quantity_onreturn_delta, quantity_onreturn_after, buy_price_ex_before, buy_price_ex_change, buy_price_ex_after, direct_costs_ex_before, direct_costs_ex_change, direct_costs_ex_after, cogs_ex_before, cogs_ex_change, cogs_ex_after, quantity_soh_before, quantity_soh_delta, quantity_soh_after, total_cogs_ex_before, total_cogs_ex_change, total_cogs_ex_after. Available direction values: asc, desc. Example: id asc, created_on desc
- `page_number` (integer, int32, optional)
- `page_size` (integer, int32, optional)

## Header parameters

- `x-api-key` (string, required) - Api subscription key
- `Cache-Control` (string, optional)
- `Authorization` (string, required) - Bearer token for authorization (e.g., Bearer <token>)

## Responses

- `200` - Paging Response with Inventory Movement Logs data
- `400` - Bad request
- `401` - Unauthorized
- `403` - Forbidden

## OpenAPI definition

```yaml
openapi: 3.0.1
info:
  title: Retail Express API
  version: v2.1
servers:
  - url: https://api.retailexpress.com.au/v2.1
paths:
  /inventorymovementlogs:
    get:
      tags:
        - inventorymovementlogs
      summary: Searches Inventory Movement Logs
      description: Searches Inventory Movement Logs
      operationId: get-inventorymovementlogs
      parameters:
        - name: plu
          in: query
          description: Product Look-Up code (PLU) It can be Product Id, Supplier SKU,
            Manufacturer SKU, Supplier SKU 2 or any Barcodes for a product. If
            specified, product_id, product_supplier_sku,
            product_short_description, product_type_name, supplier_id filters
            are ignored.
          schema:
            type: string
            description: Product Look-Up code (PLU) It can be Product Id, Supplier SKU,
              Manufacturer SKU, Supplier SKU 2 or any Barcodes for a product. If
              specified, product_id, product_supplier_sku,
              product_short_description, product_type_name, supplier_id filters
              are ignored.
            nullable: true
        - name: reference_ids
          in: query
          description: "Reference Id or Collection of Reference Ids (comma separated). If
            specified, plu, product_id, product_supplier_sku,
            product_short_description filters are ignored. movement_types is
            optional and can only contain single value.\r

            Example: 1,5,7,23-00000001"
          schema:
            type: string
            description: "Reference Id or Collection of Reference Ids (comma separated). If
              specified, plu, product_id, product_supplier_sku,
              product_short_description filters are ignored. movement_types is
              optional and can only contain single value.\r

              Example: 1,5,7,23-00000001"
            nullable: true
        - name: movement_types
          in: query
          description: "Movement Type or Collection of Movement Types (comma separated).\r

            Example: PO,Invoice"
          schema:
            type: string
            description: "Movement Type or Collection of Movement Types (comma separated).\r

              Example: PO,Invoice"
            nullable: true
        - name: filter_by
          in: query
          description: "Filter by. \r

            \r

            Available field name values: id, created_on, outlet_id, outlet_name,
            country_id, store_type_id, product_id, product_supplier_sku,
            product_short_description, product_type_name, supplier_id,
            supplier_code, supplier_name, origin, comment,
            quantity_available_before, quantity_available_delta,
            quantity_available_after, quantity_allocated_before,
            quantity_allocated_delta, quantity_allocated_after,
            quantity_picked_before, quantity_picked_delta,
            quantity_picked_after, quantity_in_transit_outbound_before,
            quantity_in_transit_outbound_delta,
            quantity_in_transit_outbound_after,
            quantity_in_transit_inbound_before,
            quantity_in_transit_inbound_delta,
            quantity_in_transit_inbound_after, quantity_received_before,
            quantity_received_delta, quantity_received_after,
            quantity_requested_before, quantity_requested_delta,
            quantity_requested_after, quantity_onorder_before,
            quantity_onorder_delta, quantity_onorder_after,
            quantity_faulty_before, quantity_faulty_delta,
            quantity_faulty_after, quantity_onreturn_before,
            quantity_onreturn_delta, quantity_onreturn_after,
            buy_price_ex_before, buy_price_ex_change, buy_price_ex_after,
            direct_costs_ex_before, direct_costs_ex_change,
            direct_costs_ex_after, cogs_ex_before, cogs_ex_change,
            cogs_ex_after, quantity_soh_before, quantity_soh_delta,
            quantity_soh_after, total_cogs_ex_before, total_cogs_ex_change,
            total_cogs_ex_after.\r

            \            \r

            In string values: '|' and ',' characters have to be escaped with
            slash, i.e. '\\\\,' '\\\\|'\r

            \            \r

            For operators that support multiple values (in, notin): multiple
            values are delimited using '|' character\r

            \r

            Available operators:\r

            \r

            eq -  Equal\r

            \r

            neq - Not equals\r

            \r

            lt  - Less\r

            \r

            lte - Less or equal\r

            \r

            gt -  Greater\r

            \r

            gte - Greater or equal\r

            \r

            in  - In\r

            \r

            notin - Not In\r

            \            \r

            contains - Contains\r

            \r

            isnull - Is Null\r

            \            \r

            isnullorempty - Is Null Or Empty\r

            \r

            isnotnull - Is Not Null\r

            \r

            startswith - Starts with\r

            \r

            endswith - Ends with\r

            \r

            doesnotcontain - Does not contain\r

            \            \r

            For non-nullable fields operators isnull and isnotnull are
            unavailable\r

            \r

            For dates operators: contains, startswith, endswith, doesnotcontain,
            isnullorempty are unavailable\r

            \            \r

            For strings operators: lt, lte, gt, gte are unavailable\r

            \            \r

            Example:
            created_on:gte:2021-06-03T05:48:09+10:00,product_id:in:124001|12400\
            2"
          schema:
            type: string
            description: "Filter by. \r

              \r

              Available field name values: id, created_on, outlet_id,
              outlet_name, country_id, store_type_id, product_id,
              product_supplier_sku, product_short_description,
              product_type_name, supplier_id, supplier_code, supplier_name,
              origin, comment, quantity_available_before,
              quantity_available_delta, quantity_available_after,
              quantity_allocated_before, quantity_allocated_delta,
              quantity_allocated_after, quantity_picked_before,
              quantity_picked_delta, quantity_picked_after,
              quantity_in_transit_outbound_before,
              quantity_in_transit_outbound_delta,
              quantity_in_transit_outbound_after,
              quantity_in_transit_inbound_before,
              quantity_in_transit_inbound_delta,
              quantity_in_transit_inbound_after, quantity_received_before,
              quantity_received_delta, quantity_received_after,
              quantity_requested_before, quantity_requested_delta,
              quantity_requested_after, quantity_onorder_before,
              quantity_onorder_delta, quantity_onorder_after,
              quantity_faulty_before, quantity_faulty_delta,
              quantity_faulty_after, quantity_onreturn_before,
              quantity_onreturn_delta, quantity_onreturn_after,
              buy_price_ex_before, buy_price_ex_change, buy_price_ex_after,
              direct_costs_ex_before, direct_costs_ex_change,
              direct_costs_ex_after, cogs_ex_before, cogs_ex_change,
              cogs_ex_after, quantity_soh_before, quantity_soh_delta,
              quantity_soh_after, total_cogs_ex_before, total_cogs_ex_change,
              total_cogs_ex_after.\r

              \            \r

              In string values: '|' and ',' characters have to be escaped with
              slash, i.e. '\\\\,' '\\\\|'\r

              \            \r

              For operators that support multiple values (in, notin): multiple
              values are delimited using '|' character\r

              \r

              Available operators:\r

              \r

              eq -  Equal\r

              \r

              neq - Not equals\r

              \r

              lt  - Less\r

              \r

              lte - Less or equal\r

              \r

              gt -  Greater\r

              \r

              gte - Greater or equal\r

              \r

              in  - In\r

              \r

              notin - Not In\r

              \            \r

              contains - Contains\r

              \r

              isnull - Is Null\r

              \            \r

              isnullorempty - Is Null Or Empty\r

              \r

              isnotnull - Is Not Null\r

              \r

              startswith - Starts with\r

              \r

              endswith - Ends with\r

              \r

              doesnotcontain - Does not contain\r

              \            \r

              For non-nullable fields operators isnull and isnotnull are
              unavailable\r

              \r

              For dates operators: contains, startswith, endswith,
              doesnotcontain, isnullorempty are unavailable\r

              \            \r

              For strings operators: lt, lte, gt, gte are unavailable\r

              \            \r

              Example:
              created_on:gte:2021-06-03T05:48:09+10:00,product_id:in:124001|124\
              002"
            nullable: true
        - name: order_by
          in: query
          description: "Order by. \r

            \r

            Available field name values: id, created_on, outlet_name,
            product_id, product_supplier_sku, product_short_description,
            product_type_name, movement_type, supplier_code, supplier_name,
            origin, comment, reference_id, quantity_available_before,
            quantity_available_delta, quantity_available_after,
            quantity_allocated_before, quantity_allocated_delta,
            quantity_allocated_after, quantity_picked_before,
            quantity_picked_delta, quantity_picked_after,
            quantity_in_transit_outbound_before,
            quantity_in_transit_outbound_delta,
            quantity_in_transit_outbound_after,
            quantity_in_transit_inbound_before,
            quantity_in_transit_inbound_delta,
            quantity_in_transit_inbound_after, quantity_received_before,
            quantity_received_delta, quantity_received_after,
            quantity_requested_before, quantity_requested_delta,
            quantity_requested_after, quantity_onorder_before,
            quantity_onorder_delta, quantity_onorder_after,
            quantity_faulty_before, quantity_faulty_delta,
            quantity_faulty_after, quantity_onreturn_before,
            quantity_onreturn_delta, quantity_onreturn_after,
            buy_price_ex_before, buy_price_ex_change, buy_price_ex_after,
            direct_costs_ex_before, direct_costs_ex_change,
            direct_costs_ex_after, cogs_ex_before, cogs_ex_change,
            cogs_ex_after, quantity_soh_before, quantity_soh_delta,
            quantity_soh_after, total_cogs_ex_before, total_cogs_ex_change,
            total_cogs_ex_after.\r

            \r

            Available direction values: asc, desc. \r

            \r

            Example: id asc, created_on desc"
          schema:
            type: string
            description: "Order by. \r

              \r

              Available field name values: id, created_on, outlet_name,
              product_id, product_supplier_sku, product_short_description,
              product_type_name, movement_type, supplier_code, supplier_name,
              origin, comment, reference_id, quantity_available_before,
              quantity_available_delta, quantity_available_after,
              quantity_allocated_before, quantity_allocated_delta,
              quantity_allocated_after, quantity_picked_before,
              quantity_picked_delta, quantity_picked_after,
              quantity_in_transit_outbound_before,
              quantity_in_transit_outbound_delta,
              quantity_in_transit_outbound_after,
              quantity_in_transit_inbound_before,
              quantity_in_transit_inbound_delta,
              quantity_in_transit_inbound_after, quantity_received_before,
              quantity_received_delta, quantity_received_after,
              quantity_requested_before, quantity_requested_delta,
              quantity_requested_after, quantity_onorder_before,
              quantity_onorder_delta, quantity_onorder_after,
              quantity_faulty_before, quantity_faulty_delta,
              quantity_faulty_after, quantity_onreturn_before,
              quantity_onreturn_delta, quantity_onreturn_after,
              buy_price_ex_before, buy_price_ex_change, buy_price_ex_after,
              direct_costs_ex_before, direct_costs_ex_change,
              direct_costs_ex_after, cogs_ex_before, cogs_ex_change,
              cogs_ex_after, quantity_soh_before, quantity_soh_delta,
              quantity_soh_after, total_cogs_ex_before, total_cogs_ex_change,
              total_cogs_ex_after.\r

              \r

              Available direction values: asc, desc. \r

              \r

              Example: id asc, created_on desc"
            nullable: true
        - name: page_number
          in: query
          schema:
            maximum: 100000
            minimum: 1
            type: integer
            format: int32
        - name: page_size
          in: query
          schema:
            maximum: 2147483647
            minimum: 1
            type: integer
            format: int32
        - name: x-api-key
          in: header
          description: Api subscription key
          required: true
          schema:
            type: string
        - name: Cache-Control
          in: header
          required: false
          schema:
            type: string
            default: no-cache
        - name: Authorization
          in: header
          required: true
          description: Bearer token for authorization (e.g., Bearer <token>)
          schema:
            type: string
      responses:
        "200":
          description: Paging Response with Inventory Movement Logs data
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/InventoryMovementLogs.PagingResponse"
              example:
                data:
                  - id: 0
                    created_on: string
                    created_by:
                      id: 0
                      user_code: string
                      first_name: string
                      surname: string
                    outlet:
                      id: 0
                      name: string
                    product:
                      id: 0
                      supplier_sku: string
                      short_description: string
                      product_type:
                        id: 0
                        name: string
                        modified_on: string
                    movement_type: string
                    origin: string
                    comment: string
                    reference_id: string
                    quantity_available:
                      before: 0
                      delta: 0
                      after: 0
                    quantity_allocated:
                      before: 0
                      delta: 0
                      after: 0
                    quantity_picked:
                      before: 0
                      delta: 0
                      after: 0
                    quantity_in_transit_outbound:
                      before: 0
                      delta: 0
                      after: 0
                    quantity_in_transit_inbound:
                      before: 0
                      delta: 0
                      after: 0
                    quantity_received:
                      before: 0
                      delta: 0
                      after: 0
                    quantity_requested:
                      before: 0
                      delta: 0
                      after: 0
                    quantity_onorder:
                      before: 0
                      delta: 0
                      after: 0
                    quantity_faulty:
                      before: 0
                      delta: 0
                      after: 0
                    quantity_onreturn:
                      before: 0
                      delta: 0
                      after: 0
                    quantity_soh:
                      before: 0
                      delta: 0
                      after: 0
                    buy_price_ex:
                      before: 0
                      change: 0
                      after: 0
                    direct_costs_ex:
                      before: 0
                      change: 0
                      after: 0
                    cogs_ex:
                      before: 0
                      change: 0
                      after: 0
                    total_cogs_ex:
                      before: 0
                      change: 0
                      after: 0
                page_number: 0
                page_size: 0
                total_records: 0
        "400":
          description: Bad request
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/ProblemDetails"
              example:
                type: string
                title: string
                status: 0
                detail: string
                instance: string
        "401":
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/ProblemDetails"
              example:
                type: string
                title: string
                status: 0
                detail: string
                instance: string
        "403":
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/ProblemDetails"
              example:
                type: string
                title: string
                status: 0
                detail: string
                instance: string
security: []
components:
  schemas:
    InventoryMovementLogs.PagingResponse:
      title: ""
      type: object
      properties:
        data:
          type: array
          items:
            $ref: "#/components/schemas/InventoryMovementLogs"
          nullable: true
        page_number:
          type: integer
          format: int32
        page_size:
          type: integer
          format: int32
        total_records:
          type: integer
          format: int32
      additionalProperties: false
    ProblemDetails:
      title: ""
      type: object
      properties:
        type:
          type: string
          nullable: true
        title:
          type: string
          nullable: true
        status:
          type: integer
          format: int32
          nullable: true
        detail:
          type: string
          nullable: true
        instance:
          type: string
          nullable: true
      additionalProperties: {}
    InventoryMovementLogs:
      title: ""
      type: object
      properties:
        id:
          type: integer
          description: Inventory Movement Logs identifier
          format: int32
          nullable: true
        created_on:
          type: string
          description: Created on
          format: date-time
        created_by:
          $ref: "#/components/schemas/UserExtended"
        outlet:
          $ref: "#/components/schemas/OutletLimited"
        product:
          $ref: "#/components/schemas/InventoryMovementLogsProduct"
        movement_type:
          type: string
          description: Source type
          nullable: true
        origin:
          type: string
          description: Origin
          nullable: true
        comment:
          type: string
          description: Comment
          nullable: true
        reference_id:
          type: string
          description: Reference id
          nullable: true
        quantity_available:
          $ref: "#/components/schemas/InventoryMovementLogsDelta"
        quantity_allocated:
          $ref: "#/components/schemas/InventoryMovementLogsDelta"
        quantity_picked:
          $ref: "#/components/schemas/InventoryMovementLogsDelta"
        quantity_in_transit_outbound:
          $ref: "#/components/schemas/InventoryMovementLogsDelta"
        quantity_in_transit_inbound:
          $ref: "#/components/schemas/InventoryMovementLogsDelta"
        quantity_received:
          $ref: "#/components/schemas/InventoryMovementLogsDelta"
        quantity_requested:
          $ref: "#/components/schemas/InventoryMovementLogsDelta"
        quantity_onorder:
          $ref: "#/components/schemas/InventoryMovementLogsDelta"
        quantity_faulty:
          $ref: "#/components/schemas/InventoryMovementLogsDelta"
        quantity_onreturn:
          $ref: "#/components/schemas/InventoryMovementLogsDelta"
        quantity_soh:
          $ref: "#/components/schemas/InventoryMovementLogsDelta"
        buy_price_ex:
          $ref: "#/components/schemas/InventoryMovementLogsChange"
        direct_costs_ex:
          $ref: "#/components/schemas/InventoryMovementLogsChange"
        cogs_ex:
          $ref: "#/components/schemas/InventoryMovementLogsChange"
        total_cogs_ex:
          $ref: "#/components/schemas/InventoryMovementLogsChange"
      additionalProperties: false
      description: Inventory Movement Logs model
    UserExtended:
      title: ""
      type: object
      properties:
        id:
          type: integer
          description: Id.
          format: int32
          nullable: true
        user_code:
          type: string
          description: User code.
          nullable: true
        first_name:
          type: string
          description: First name.
          nullable: true
        surname:
          type: string
          description: Surname.
          nullable: true
      additionalProperties: false
    OutletLimited:
      title: ""
      type: object
      properties:
        id:
          type: integer
          description: Outlet id
          format: int32
          nullable: true
        name:
          maxLength: 255
          minLength: 0
          type: string
          description: Outlet name
          nullable: true
      additionalProperties: false
    InventoryMovementLogsProduct:
      title: ""
      type: object
      properties:
        id:
          type: integer
          format: int32
          nullable: true
        supplier_sku:
          type: string
          nullable: true
        short_description:
          type: string
          nullable: true
        product_type:
          $ref: "#/components/schemas/ProductType"
      additionalProperties: false
      description: Inventory Movement Logs model
    InventoryMovementLogsDelta:
      title: ""
      type: object
      properties:
        before:
          type: integer
          description: Before
          format: int32
          nullable: true
        delta:
          type: integer
          description: Delta
          format: int32
          nullable: true
        after:
          type: integer
          description: After
          format: int32
          nullable: true
      additionalProperties: false
      description: Inventory Movement Logs Delta model
    InventoryMovementLogsChange:
      title: ""
      type: object
      properties:
        before:
          type: number
          description: Before
          format: double
          nullable: true
        change:
          type: number
          description: Delta
          format: double
          nullable: true
        after:
          type: number
          description: After
          format: double
          nullable: true
      additionalProperties: false
      description: Inventory Movement Logs Change model
    ProductType:
      title: ""
      type: object
      properties:
        id:
          type: integer
          description: Product type Id.
          format: int32
          nullable: true
        name:
          maxLength: 50
          minLength: 0
          pattern: ^[a-zA-Z0-9\s./;:\-_+()*&^%$#@]+$
          type: string
          description: Product type description (Name)
          nullable: true
        modified_on:
          type: string
          description: Modified on
          format: date-time
      additionalProperties: false
      description: Product Type Model
```
